Bug 581216 - Review Request: texworks - A simple IDE for authoring TeX documents
Summary: Review Request: texworks - A simple IDE for authoring TeX documents
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Howard Ning
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 561169 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-11 06:02 UTC by Robin Lee
Modified: 2010-05-09 17:11 UTC (History)
7 users (show)

Fixed In Version: texworks-0.2.3-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-27 02:28:25 UTC
mrlhwliberty: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Robin Lee 2010-04-11 06:02:58 UTC
Spec URL: https://dl.dropbox.com/u/612778/texworks.spec
SRPM URL: https://dl.dropbox.com/u/612778/texworks-0.2.3-1.fc12.src.rpm
Description:
TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc) documents,
with a Unicode-based, TeX-aware editor, integrated PDF viewer, and a clean,
simple interface accessible to casual and non-technical users.

$ rpmlint ./texworks-0.2.3-1.fc12.src.rpm 
texworks.src: W: no-buildroot-tag
texworks.src: W: invalid-url Source0: http://texworks.googlecode.com/files/texworks-0.2.3.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

The url really works.

Koji build task: http://koji.fedoraproject.org/koji/taskinfo?taskID=2108178

Comment 1 Robin Lee 2010-04-11 06:06:11 UTC
*** Bug 561169 has been marked as a duplicate of this bug. ***

Comment 2 Robin Lee 2010-04-20 06:36:23 UTC
This program is the default TeX editor in TeX Live 2009 Windows Version. It's small and useful. Its build process is quite straight-forward. It's maintained by the same author of XeTeX.

May somebody help reviewing this package?

Comment 3 Germán Racca 2010-04-22 08:02:51 UTC
Hello LI:

I started to package this program some time ago but for some reasons I stopped. Just a few though unofficial comments.

** If you run rpmlint on binary rpm file you will see:

texworks.x86_64: W: file-not-utf8 /usr/share/doc/texworks-0.2.3/README
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile's %prep section for example using iconv(1).

See here for more informations:

https://fedoraproject.org/wiki/Packaging_tricks#Convert_encoding_to_UTF-8

** Do you prefer to install the files manually instead of patching the TeXworks.pro file? I ask this because the instructions in README says to modify the file TeXworks.pro

Cheers,
Germán.

Comment 4 Robin Lee 2010-04-23 06:35:16 UTC
A new build

Spec URL: https://dl.dropbox.com/u/612778/texworks.spec
SRPM URL: https://dl.dropbox.com/u/612778/texworks-0.2.3-2.fc13.src.rpm
Koji Rawhide build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2133416

Changes:
- Fix some strange characters in README
- Patch TeXworks.pro to use qmake mechanism to install files and fix DSO linking
  problem

(In reply to comment #3)
> ** Do you prefer to install the files manually instead of patching the
> TeXworks.pro file? I ask this because the instructions in README says to modify
> the file TeXworks.pro
I just would not like to make any patch which is not upstreamable.
I will try to commit these two patch upstream.

Comment 5 Howard Ning 2010-04-23 17:41:16 UTC
I don't see major problems in this package. However, I have found that the texworks is under 'Accessories' in the menu while other tex related editors like kile are under Office. The desktop file can place the Office as a category.

Comment 6 Robin Lee 2010-04-24 05:58:32 UTC
A new revision

Spec URL: https://dl.dropbox.com/u/612778/texworks.spec
SRPM URL: https://dl.dropbox.com/u/612778/texworks-0.2.3-3.fc13.src.rpm

Change:
- Move to menu category 'Office'

(In reply to comment #5)
> I don't see major problems in this package. However, I have found that the
> texworks is under 'Accessories' in the menu while other tex related editors
> like kile are under Office. The desktop file can place the Office as a
> category.

Comment 7 Robin Lee 2010-04-24 11:58:29 UTC
New Package CVS Request
=======================
Package Name: texworks
Short Description: A simple IDE for authoring TeX documents
Owners: cheeselee
Branches: F-11 F-12 F-13
InitialCC:

Comment 8 Kevin Fenzi 2010-04-26 03:52:00 UTC
mrlhwliberty@gmail.com: I am unable to find your address in the "packagers" group. You must be in this group to approve package reviews. What is your Fedora account system name?

Also, if you are new to reviewing packages, I strongly advise you to use a checklist showing that you checked all the various guidelines and confirm that the package meets them.

Comment 9 Kevin Fenzi 2010-04-26 04:33:17 UTC
CVS done (by process-cvs-requests.py).

Comment 10 Fedora Update System 2010-04-26 05:01:02 UTC
texworks-0.2.3-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/texworks-0.2.3-3.fc13

Comment 11 Fedora Update System 2010-04-27 02:28:20 UTC
texworks-0.2.3-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Christoph Wickert 2010-05-09 14:58:22 UTC
What is going on here? I don't see a proper review here.

mrlhwliberty@gmail.com, please fill out the required fields in the account system, it's hard to find you.

Comment 13 Mamoru TASAKA 2010-05-09 15:15:44 UTC
mrlhwliberty has FAS account "helloworld1"

Comment 14 Howard Ning 2010-05-09 16:39:26 UTC
I have checked the FAS, the email is correct and the bugzilla as well. What is the problem?

Comment 15 Christoph Wickert 2010-05-09 17:00:47 UTC
IMHO all packagers should use real name and this information should be available in the account systen.

But the main problem is that you did not document what checks you ran during the review.

Comment 16 Howard Ning 2010-05-09 17:11:28 UTC
Ok, I will change the name in bugzilla to be the same as FAS.
Sorry for the problem, I am new to do formal reviews. I have followed the review guideline to check the package but I didn't document it explicitly. I will list it explicitly next time.


Note You need to log in before you can comment on or make changes to this bug.